---
schema_version: "1"
id: c0d53172f12b52a8ad778631653dddc02e4851238053a9798940a3efc8d0b67e
title: POST /contacts/v1/contacts/actions/delete?type=ids
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/DeleteByContactIDs.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/DeleteByContactIDs.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 1343313d2d6cb90c2778810579374cde0394c80d629cd46eea2b523fba5aaf78
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /contacts/v1/contacts/actions/delete?type=ids

Asynchronously deletes a contact when provided with its contact ID. Use the `OperationID` value returned to check the status of the deletion.

## JSON Parameters

| Name                  | Type   | Description                                                                                                                                                                                              |
| --------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Values`              | Array  | Required. Array of contact ID values to delete                                                                                                                                                           |
| `DeleteOperationType` | String | Required. Type of delete operation to perform. Specify ContactAndAttributes to delete a contact from the entire account as long as no other channel references that contact. AttributesOnly is Not used. |

## Usage

This request deletes contacts specified by the contact ID values passed in the `values` array.

This asynchronous process places the deletion call in a queue for processing. The queue processes only one deletion call at a time, and each process can take several hours to complete.

When deleting from a sendable data extension, the call limits each process to one million rows.

This route deletes contact information from the account, including the Email, MobileConnect, and MobilePush apps. This deletion occurs at the enterprise level.

A successful call suppresses any sends or other activities to the specified contacts for a specified number of days. The contact record still appears in Marketing Cloud Engagement, but you can’t include these suppressed contacts in any activities. After the specified number of days days, the system deletes the contact from all lists and sendable data extensions. You can’t restore any contact information associated with this delete process. Any subscriberID number assigned to the contact can be recycled in the future. For Enterprise accounts, this process deletes all information at the Enterprise level.

**note:** To configure suppression number values, use the [Configure Settings for Deleting Contacts](https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/ContactsDeleteConfigStatus.md) resource.

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /contacts/v1/contacts/actions/delete?type=ids
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
  "values": [12345678, 12345679],
  "DeleteOperationType": "ContactAndAttributes"
}
```

### Example Response

```js
{
  "operationInitiated": true,
  "operationID": 2,
  "requestServiceMessageID": "21d0d10d-a15a-413c-bc3e-8b43b185e551",
  "resultMessages": [],
  "serviceMessageID": "acb87f67-ec49-42af-a0bb-987ac6451560"
}
```
